GSI Forum
GSI Helmholtzzentrum für Schwerionenforschung

Home » PANDA » PandaRoot » Bugs, Fixes, Releases » [FIXED] Pandaroot installation on scietific linux 5.7
[FIXED] Pandaroot installation on scietific linux 5.7 [message #14721] Mon, 06 May 2013 17:52 Go to previous message
Andreas Pitka is currently offline  Andreas Pitka
Messages: 38
Registered: November 2011
Location: Gießen
continuous participant
From: *physik.uni-giessen.de
Hi,

i am trying to install Pandaroot on our local Gießen cluster.

The external packages installation completes successful the make of pandaroot fails with the error:

Scanning dependencies of target svnheader
-- Found Subversion: /usr/bin/svn (found version "1.6.11")
-- FairRoot Revision - 19599 Branch - https://subversion.gsi.de/fairroot/pandaroot/release/apr13
[ 0%] Built target svnheader
[ 0%] Generating G__FairToolsDict.cxx
/home/gd1696/fairroot/apr13/bin/rootcint: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /home/gd1696/fairroot/apr13/bin/rootcint)
/home/gd1696/fairroot/apr13/bin/rootcint: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /home/gd1696/fairroot/apr13/bin/rootcint)
/home/gd1696/fairroot/apr13/bin/rootcint: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /home/gd1696/fairroot/apr13/bin/rootcint)
/home/gd1696/fairroot/apr13/bin/rootcint: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /home/gd1696/fairroot/apr13_src/../apr13/lib/root/libCint.so.5.34)
/home/gd1696/fairroot/apr13/bin/rootcint: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /home/gd1696/fairroot/apr13_src/../apr13/lib/root/libCint.so.5.34)
/home/gd1696/fairroot/apr13/bin/rootcint: /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /home/gd1696/fairroot/apr13_src/../apr13/lib/root/libCint.so.5.34)
make[2]: *** [fairtools/G__FairToolsDict.cxx] Error 1
make[1]: *** [fairtools/CMakeFiles/FairTools.dir/all] Error 2
make: *** [all] Error 2

The external packages were compiled with gcc 4.7, with libstdc++.so in the folder /cm/shared/apps/gcc/4.7.0/lib64.

Somehow cmake seems to find the too old version of libstdc++.so in /usr/lib64 first.

Has someone a idea how to fix this?

ldd /home/gd1696/fairroot/apr13/bin/rootcint gives:
libCint.so.5.34 => not found
libstdc++.so.6 => /cm/shared/apps/gcc/4.7.0/lib64/libstdc++.so.6 (0x00002aaaaacc9000)
libgcc_s.so.1 => /cm/shared/apps/gcc/4.7.0/lib64/libgcc_s.so.1 (0x00002aaaaafd1000)
libc.so.6 => /lib64/libc.so.6 (0x00002aaaab1e7000)
libm.so.6 => /lib64/libm.so.6 (0x00002aaaab53f000)
/lib64/ld-linux-x86-64.so.2 (0x00002aaaaaaab000)

Thanks a lot

Andreas

[Updated on: Thu, 22 August 2013 17:50] by Moderator

Report message to a moderator

 
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Read Message
Previous Topic: [FIXED] Tutorial Error
Next Topic: [FIXED] Square root of negative number in PndRiemannTrack::dY ?
Goto Forum:
  


Current Time: Sat Jun 15 07:50:49 CEST 2024

Total time taken to generate the page: 0.00953 seconds